<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddUsers2 Method (IEdmUserMgr7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr7 Interface : AddUsers2 Method (IEdmUserMgr7)

Visual Basic
C#
C++/CLI

ppoUserData
  Array of EdmUserData2 structures; one structure for each user

Obsolete. Superseded by IEdmUserMgr10::AddUsers3 .

# Syntax

Visual Basic |
--- | ---

    Sub AddUsers2( _
       ByRef ppoUserData() As EdmUserData2 _
    )

C# |
--- | ---

    void AddUsers2(
       out EdmUserData2[] ppoUserData
    )

C++/CLI |
--- | ---

    void AddUsers2(
    &   [Out] array<EdmUserData2>^ ppoUserData
    )

#### Parameters

ppoUserData
  Array of EdmUserData2 structures; one structure for each user

# Example

Add Users (VB.NET)
Add Users (C#)

# Remarks

This method supersedes IEdmUserMgr6::AddUsers by providing the ability to specify permissions for added users.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr7 Interface
IEdmUserMgr7 Members

# Availability

SOLIDWORKS PDM Professional 2010